Show a connected account on your profile
const url = 'https://api.gampeon.com/v1/me/identities/steam';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"showOnProfile":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.gampeon.com/v1/me/identities/steam \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "showOnProfile": true }'Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Sign-in provider
Sign-in provider: steam or discord
Request Bodyrequired
Section titled “Request Bodyrequired”object
Example generated
{ "showOnProfile": true}Responses
Section titled “Responses”Updated
object
Sign-in provider
Profile page at the provider
Shown on your public profile. Never for accounts under 16.
Unix time in milliseconds
Example
{ "provider": "steam"}Error codes: invalid_field
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed, age_restricted
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}